Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api.peer
Class GifBuilderPeer

    java.lang.Object
      |
      +--com.macromedia.generator.api.peer.GifBuilderPeer

public class GifBuilderPeer
extends java.lang.Object

Constructor Summary
`GifBuilderPeer()`

Method Summary
`(package private) static void` | `()`
`static int` | `Build(int i, int j, int k)`
`static int` | `BuildImageMap(int i, boolean flag, int j, int k, int l, java.lang.String s)`
`static int` | `GetAnimated(int i, boolean[] aflag)`
`static int` | `GetColorOptimization(int i, boolean[] aflag)`
`static int` | `GetDimensions(int i, int[] ai, int[] ai1)`
`static int` | `GetDither(int i, boolean[] aflag)`
`static int` | `GetDitherType(int i, int[] ai)`
`static int` | `GetFirstFrame(int i, int[] ai)`
`static int` | `GetGradient(int i, boolean[] aflag)`
`static int` | `GetInterlace(int i, boolean[] aflag)`
`static int` | `GetLastFrame(int i, int[] ai)`
`static int` | `GetLoopCount(int i, int[] ai)`
`static int` | `GetSmooth(int i, boolean[] aflag)`
`static int` | `GetTransparent(int i, boolean[] aflag)`
`static int` | `GetTransparentSmart(int i, boolean[] aflag)`
`static int` | `GetTransparentThreshold(int i, int[] ai)`
`static int` | `New()`
`static int` | `Release(int i)`
`static int` | `SetAnimated(int i, boolean flag)`
`static int` | `SetColorOptimization(int i, boolean flag)`
`static int` | `SetDimensions(int i, int j, int k)`
`static int` | `SetDither(int i, boolean flag)`
`static int` | `SetDitherType(int i, int j)`
`static int` | `SetExactFit(int i, boolean flag)`
`static int` | `SetFilePalette(int i, java.lang.String s)`
`static int` | `SetFirstFrame(int i, int j)`
`static int` | `SetGradient(int i, boolean flag)`
`static int` | `SetInterlace(int i, boolean flag)`
`static int` | `SetLastFrame(int i, int j)`
`static int` | `SetLoopCount(int i, int j)`
`static int` | `SetMaxColors(int i, int j)`
`static int` | `SetPaletteType(int i, int j)`
`static int` | `SetQuality(int i, boolean flag)`
`static int` | `SetSerial(int i, int j)`
`static int` | `SetSmooth(int i, boolean flag)`
`static int` | `SetTransparent(int i, boolean flag)`
`static int` | `SetTransparentSmart(int i, boolean flag)`
`static int` | `SetTransparentThreshold(int i, int j)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GifBuilderPeer

    public GifBuilderPeer()

Method Detail

### Build

    public static int Build(int i,
                            int j,
                            int k)

### BuildImageMap

    public static int BuildImageMap(int i,
                                    boolean flag,
                                    int j,
                                    int k,
                                    int l,
                                    java.lang.String s)

### GetAnimated

    public static int GetAnimated(int i,
                                  boolean[] aflag)

### GetColorOptimization

    public static int GetColorOptimization(int i,
                                           boolean[] aflag)

### GetDimensions

    public static int GetDimensions(int i,
                                    int[] ai,
                                    int[] ai1)

### GetDither

    public static int GetDither(int i,
                                boolean[] aflag)

### GetDitherType

    public static int GetDitherType(int i,
                                    int[] ai)

### GetFirstFrame

    public static int GetFirstFrame(int i,
                                    int[] ai)

### GetGradient

    public static int GetGradient(int i,
                                  boolean[] aflag)

### GetInterlace

    public static int GetInterlace(int i,
                                   boolean[] aflag)

### GetLastFrame

    public static int GetLastFrame(int i,
                                   int[] ai)

### GetLoopCount

    public static int GetLoopCount(int i,
                                   int[] ai)

### GetSmooth

    public static int GetSmooth(int i,
                                boolean[] aflag)

### GetTransparent

    public static int GetTransparent(int i,
                                     boolean[] aflag)

### GetTransparentSmart

    public static int GetTransparentSmart(int i,
                                          boolean[] aflag)

### GetTransparentThreshold

    public static int GetTransparentThreshold(int i,
                                              int[] ai)

### New

    public static int New()

### Release

    public static int Release(int i)

### SetAnimated

    public static int SetAnimated(int i,
                                  boolean flag)

### SetColorOptimization

    public static int SetColorOptimization(int i,
                                           boolean flag)

### SetDimensions

    public static int SetDimensions(int i,
                                    int j,
                                    int k)

### SetDither

    public static int SetDither(int i,
                                boolean flag)

### SetDitherType

    public static int SetDitherType(int i,
                                    int j)

### SetExactFit

    public static int SetExactFit(int i,
                                  boolean flag)

### SetFilePalette

    public static int SetFilePalette(int i,
                                     java.lang.String s)

### SetFirstFrame

    public static int SetFirstFrame(int i,
                                    int j)

### SetGradient

    public static int SetGradient(int i,
                                  boolean flag)

### SetInterlace

    public static int SetInterlace(int i,
                                   boolean flag)

### SetLastFrame

    public static int SetLastFrame(int i,
                                   int j)

### SetLoopCount

    public static int SetLoopCount(int i,
                                   int j)

### SetMaxColors

    public static int SetMaxColors(int i,
                                   int j)

### SetPaletteType

    public static int SetPaletteType(int i,
                                     int j)

### SetQuality

    public static int SetQuality(int i,
                                 boolean flag)

### SetSerial

    public static int SetSerial(int i,
                                int j)

### SetSmooth

    public static int SetSmooth(int i,
                                boolean flag)

### SetTransparent

    public static int SetTransparent(int i,
                                     boolean flag)

### SetTransparentSmart

    public static int SetTransparentSmart(int i,
                                          boolean flag)

### SetTransparentThreshold

    public static int SetTransparentThreshold(int i,
                                              int j)

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD